@use 'sass:color';
@import '../../../variables.scss';


.btn-wrapper {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  padding: $padding;

  button {
    cursor: pointer;
    font-family: $primary-font;
    border: none;
    outline: none;
    font-weight: bold;
    border-radius: 0 20px;
    padding: 12px 21px;
    letter-spacing: 1px;
    box-shadow: 0 2px 4px color.adjust($paragraph-color, $lightness: 30%);

    font-size: 21pt;
    color: white;
    background: $primary-color;

    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: space-around;
    gap: 10px;

    &:active {
      background: linear-gradient(to bottom, $primary-color 30%, color.adjust($secondary-color, $lightness: 10%));
    }

    img {
      width: 25px;
    }
  }
}
